// vik
#header {
    .logo-wrap {
        .menu-btn {
            display: flex;
        }
    }
}

.users-wrap {
    height: 100%;
    display: flex;
    flex-direction: column;
    width: 100%;

    .listcontainer {
        height: 90%;

        .paginationcontainer {
            display: flex;
            align-items: center;
            height: 10%;

            .paginationbox {
                width: 62%;
                margin-left: auto;
            }
        }
    }

    .searchboxadd {
        padding: 0;
        height: 11%;
        width: 100%;
        display: flex;
        flex-direction: row;
        // justify-content: center;
        margin-top: 0px;

        .resumestextboxadd {
            width: 10%;
            display: flex;
            align-items: center;
            justify-content: center;

            .resumestextadd {
                color: rgba(0, 141, 150, 1);
                font-size: 22px;
                font-weight: 500;

            }

        }

        .searchtextboxadd {
            width: 25%;
            display: flex;
            align-items: center;
            justify-content: center;


            .searchbox1add {
                width: 95%;
                height: 50%;
                border: none;
                border-radius: 20px;
                display: flex;
                flex-direction: row;
                background-color: white;

                .searchinputadd:focus {
                    outline-width: 0px;
                    border: 1.5px solid rgba(0, 141, 150, 1);
                }

                .searchinputadd {
                    font-weight: 500;
                    font-size: 17px;
                    line-height: 39px;
                    color: rgba(0, 0, 0, 0.3);
                    padding-left: 15px;
                    width: 80%;
                    height: 100%;
                    border: none;
                    border-top-left-radius: 20px;
                    border-bottom-left-radius: 20px;
                    // background-color: aqua;
                }

                .searchdowniconboxadd {

                    width: 15%;
                    height: 100%;
                    // background-color: blue;
                    display: flex;
                    justify-content: center;
                    align-items: center;

                }
            }
        }


        .firstgapadd {
            width: 50%;
        }

        .buttonboxadd {
            width: 15%;
            height: 100%;
            display: flex;
            margin-left: auto;
            margin-right: 1%;
            align-items: center;
            justify-content: center;

            .buttonadd {
                cursor: pointer;
                height: 55%;
                width: 70%;
                border: none;
                border-radius: 8px;
                background-color: rgba(0, 141, 150, 1);
                align-items: center;
                justify-content: center;
                display: flex;

                .buttontextadd {
                    font-size: 20px;
                    font-weight: 600;
                    color: rgba(255, 255, 255, 1);
                    line-height: 25.1px;
                }
            }
        }
    }

}

.pageviewboxadd {
    border: 1px solid black;
    margin-top: 10px;
    height: 6%;
    width: 100%;
    // background-color: pink;
    display: flex;
    flex-direction: row;

    .secondgapadd {
        width: 85%;

    }

    .pageviewbuttonadd {
        width: 15%;

        align-items: center;
        justify-content: center;
        display: flex;

        .pageviewbuttonboxadd {
            align-items: center;
            justify-content: center;
            height: 38px;
            width: 80px;
            border: none;
            border-radius: 10px;
            background-color: rgba(255, 255, 255, 1);
            display: flex;
            flex-direction: row;



            .box1add {
                width: 45%;

                justify-content: center;
                align-items: center;
                display: flex;
            }

            .box2add {
                justify-content: center;
                align-items: center;
                display: flex;
                width: 10%;


                .starightlineadd {
                    height: 60%;
                    width: 1%;
                    border: 1px solid rgba(0, 141, 150, 1);
                }
            }

        }
    }
}

.password3 {
    height: 13%;
    width: 100%;
    flex-direction: row;
    display: flex;
    border-bottom: 1px solid #ECECEE;
    box-shadow: 0px 1px 0px #ECECEE;
}

.space1 {
    height: 100%;
    width: 5%;

}

.text1 {
    height: 100%;
    width: 90%;

    align-items: center;
    display: flex;


}

.word1a {
    font-size: 16;
    font-weight: 700;
    color: #008D96;
}

.inputcontainer2a {
    height: 75%;
    width: 99.5%;
    flex-direction: column;
    display: flex;


    .inputboxnamerow {
        width: 100%;
        height: 30%;
        display: flex;
        justify-content: space-evenly;
        align-items: center;
        flex-direction: row;
    }
}

.input-wrap {
    height: 80%;
    width: 50%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.inputbox2a {
    font-size: 14px;
    font-weight: 400;
    height: 56px;
    width: 80%;
    border-radius: 8px;
    border: 1px solid #008D96;
    border-width: 1px;
    padding-left: 20px;
    /* border: #008D96 */
}

.buttoncontainer1 {
    height: 10%;
    flex-direction: row;
    display: flex;
    margin-top: 0px;
}

.buttongap1 {
    display: flex;
    width: 45%;
}

.buttonbox1 {
    width: 55%;
    justify-content: space-evenly;
    align-items: center;
    display: flex;
    flex-direction: row;
}

.button1a {
    border: none;
    cursor: pointer;
    width: 76px;
    height: 32px;
    border-radius: 4px;
    background-color: rgba(0, 141, 150, 0.15);
    display: flex;
    justify-content: center;
    align-items: center;
}

.button1atext {
    font-size: 14px;
    font-weight: 700;
    color: #110F24;
}

.button2a {
    border: none;
    cursor: pointer;
    width: 110px;
    height: 32px;
    border-radius: 8px;
    background-color: #008D96;
    display: flex;
    justify-content: center;
    align-items: center;
}

.button2atext {
    font-size: 14px;
    font-weight: 700;
    color: #FFFFFF;
}

.inputbox {
    height: 100%;
    width: 85%;
    border-radius: 8px;
    border: 1px solid #008D96;
    border-width: 1px;
    padding-left: 20px;
    border: #008D96
}


.inputbox:focus {
    color: #008D96;

    outline-width: 0px;
    border: 2px solid #008D96;
}

#container2 {
    justify-content: center;
    overflow: auto;
    align-items: center;
    display: flex;
    height: 100%;
}

.acion-btn {
    text-decoration: underline;
    border: none;
    cursor: pointer;
}

.overwrap {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.searchbox {
    height: 10%;
    width: 100%;
    display: flex;
    flex-direction: row;

    .resumestextbox {
        width: 10%;

        display: flex;
        align-items: center;
        justify-content: center;

        .resumestext {
            color: rgba(0, 141, 150, 1);
            font-size: 22px;
            font-weight: 500;
        }

    }

    .searchtextbox {
        width: 20%;

        display: flex;
        align-items: center;
        justify-content: center;
    }

    .firstgap {
        width: 55%;

    }

    .buttonbox {
        width: 15%;
        display: flex;
        align-items: center;
        justify-content: center;

        .button {
            height: 46px;
            width: 140px;
            border: none;
            border-radius: 8px;
            background-color: rgba(0, 141, 150, 1);
            align-items: center;
            justify-content: center;
            display: flex;

            .buttontext {
                font-size: 20px;
                font-weight: 600;
                color: rgba(255, 255, 255, 1);
                line-height: 25.1px;
            }
        }
    }
}

.App {
    display: flex;
    flex-direction: column;
    width: 100%;
    background-color: white;
}

#header-cover {
    display: flex;
    flex-direction: row;
}


table {
    width: 60vw;
    height: 25vh;
    color: rgb(134, 134, 134);
    background-color: white;
    border-color: rgb(94, 151, 148);
    border-style: solid;
    border-width: 0 1px 1px 1px;
    border-radius: 5px;
    border-collapse: collapse;
    border-spacing: 0;
    display: block;
    overflow: auto;

    thead {
        th {
            color: rgb(33, 100, 78);
            background-color: rgb(172, 172, 172);
            font-weight: bold;
            font-size: 0.8em;
            padding: 5px 10px;
            vertical-align: bottom;
            width: 60vw;
        }

        th:first-child {
            border-top-left-radius: 5px;
        }

        th:last-child {
            border-top-right-radius: 5px;
        }
    }

    tbody {
        td {
            border-top: 1px solid rgb(37, 103, 91);
            // padding: 5px 10px;
            vertical-align: top;
        }

        tr:nth-child(2n) {
            background-color: rgb(22, 80, 69);
        }
    }
}

.Users {
    font-family: sans-serif;
    text-align: center;
    margin: 0;
    padding: 0;
    margin-top: 50px;
    max-width: 100vw;
}

.headers {
    margin-bottom: 10px;
}

// .search-bar{
//   width: 30vw;
//   border-radius: 9px;//
//   padding: 10px;
//   font-size: 20px;
//   margin-bottom: 10px;
// }

.pagination>li {
    display: inline-block;
    margin: 0 5px;

    &:hover {
        cursor: pointer;
    }
}

.pagination>li {
    list-style: none;
}

.pagination>li>a,
.pagination>li>span {
    position: relative;
    float: left;
    padding: 6px 12px;
    line-height: 1.42857143;
    text-decoration: none;
    color: #2c689c;
    background-color: #fff;
    margin-left: -1px;
    transition: all .2s ease-in-out;
    border-radius: 6px;
}

.add {
    background-color: aquamarine;
}

.user {
    color: aquamarine;
}

.pagination>li.active>a {
    color: #fff;
    background-color: #2c689c;
    border-radius: 6px;
    transition: all .2s ease-in-out;

    &:hover {
        cursor: pointer;
        background-color: #2c689c;
        color: white;
    }
}

.previous {
    &.disabled {
        a {
            &:hover {
                cursor: auto;
            }
        }
    }
}

.next {
    &.disabled {
        a {
            &:hover {
                cursor: auto;
            }
        }
    }
}

.footer {
    width: 100%;
    display: flex;
    justify-content: center;
}

.rows {
    padding: 0 50px;
    min-height: 70vh;
}

.batch-delete {
    border: 1px solid #c9356c;
    border-radius: 6px;
    background-color: #ff347f;
    color: white;
    padding: 20px 20px;
    transition: all .1s ease-in-out;
    height: max-content;

    &:hover {
        cursor: pointer;
        transform: scale(1.1);
    }
}

.pagination {
    padding-left: 0;
}

.pagination-container {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0 20px;

    .first-page,
    .last-page {
        color: #2c689c;
        background: white;
        border-radius: 6px;
        border: none;
        width: 32px;
        height: 34px;
        transition: all .2s ease-in-out;

        &:hover {
            cursor: pointer;
            background-color: #2c689c;
            color: white;
        }

        &:disabled {
            cursor: auto;
            color: #2c689c;
            background: white;
        }
    }

}

// Drop DOWn
.dropdown {
    position: relative;
    background-color: #c9356c;
}

.menu {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    flex-direction: column;
    background-color: #FFFFFF;
    position: absolute;
    list-style-type: none;
    margin: 9px 0;
    z-index: 100;
    top: 50px;
    border: 1px solid #008D96;
    width: 20%;
    height: 140px;
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
}

.menu>li {
    margin: 0;
    // background-color: white;
}

.menu>li:hover {
    background-color: lightgray;
}

.menu>li>button {
    width: 30vw;
    // height: 50vh;
    text-align: center;

    background: none;
    color: inherit;
    border: none;
    padding: 5px;
    margin: 0;
    font: inherit;
    cursor: pointer;
}

.drop {
    background-color: #fff;
    color: gray;
    width: 44px;
    height: 326px;
    border-radius: 20px;


}

.password4 {
    height: 20%;
    flex-direction: row;
    display: flex;

    border-bottom: 1px solid #ECECEE;
    box-shadow: 0px 1px 0px #ECECEE;

}

.space2 {
    height: 100%;
    width: 5%;


}

.text2 {
    height: 100%;
    width: 90%;

    align-items: center;
    display: flex;


}

.word1a {
    font-size: 16;
    font-weight: 700;
    color: #008D96;
}

.logoutcontainer {
    height: 50%;

    align-items: center;
    justify-content: center;
    display: flex;
}

.logoutcontainer1 {

    width: 90%;
    height: 90%;
    align-items: center;
    justify-content: start;
    display: flex;
    padding-left: '25px'
}

.logoutcontainer1text {
    font-size: 18px;
    font-weight: 600;
    line-height: 24px;
    color: #110F24;
}

.buttoncontainer2 {
    height: 25%;
    flex-direction: row;
    display: flex;
}

.insidedropdown {
    width: 90%;
    height: 25%;
    border: 0.5px solid #000000;
    border-radius: 20px;
    display: flex;
    flex-direction: row;
    padding-left: 10PX;
    justify-content: center;
    align-items: center;
    font-size: 0.9em;
    font-weight: 500;
}

.searchadd {
    padding-left: 5%;
    padding-right: 5%;
    width: 100%;
    height: 91%;
    border: none;
    display: flex;
    flex-direction: row;
    border-bottom: 2px solid black;
    border-radius: 20px;

}

.searcharrowbox {
    width: 15%;
    height: 92%;
    border: none;
    background-color: white;
    border-top-right-radius: 20px;
    border-bottom-right-radius: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
}



@media only screen and (min-width:320px) and (max-width:426px) {
    .users-wrap {
        height: 94vh;

        .searchboxadd {
            height: 8%;
            width: 100%;

            .resumestextboxadd {
                width: 20%;

                .resumestextadd {
                    font-size: 1em;
                }
            }

            .searchtextboxadd {
                width: 42%;

                .searchbox1add {
                    .searchadd {
                        font-size: 0.6em;
                    }
                }

                .menu {
                    width: 40%;
                    height: 10%;
                    font-size: 0.6em;
                    margin-top: 5vh;
                    border-top: 0px;
                    opacity: 0.9;
                    background-color: rgb(255, 255, 255);

                    .insidedropdow {
                        font-size: 0.8em;
                    }
                }
            }

            .buttonboxadd {
                width: 20%;

                .buttonadd {
                    height: 50%;
                    width: 100%;

                    .buttontextadd {
                        font-size: 1.1em;
                    }
                }
            }
        }

        .listcontainer {
            height: 92%;

            #container2 {
                height: 94%;

                .contain-table {
                    height: 98%;

                    .table-font {
                        font-size: 0.8em;
                    }
                }
            }

            .paginationcontainer {
                height: 5%;
                display: flex;
                flex-direction: column;
                align-items: center;
                justify-content: center;

                .paginationbox {
                    display: flex;
                    flex-direction: column;
                    align-items: center;
                    justify-content: center;
                    height: 100%;
                    width: 100%;
                    margin-left: 0;
                }
            }
        }
    }
}

@media only screen and (min-width:427px) and (max-width:598px) {
    .users-wrap {
        .searchboxadd {
            height: 10%;

            .resumestextboxadd {
                width: 20%;
                font-size: 0.2em;

                .resumestextadd {
                    font-size: 5.2em;
                }
            }

            .searchtextboxadd {
                width: 35%;

                .searchadd {
                    font-size: 0.8em;
                }
            }

            .buttonboxadd {
                width: 20%;

                .buttonadd {
                    height: 50%;

                    .buttontextadd {
                        font-size: 1.2em;
                    }
                }
            }
        }

        .listcontainer {
            height: 90%;

            #container2 {
                height: 93%;
                width: 100%;

                .contain-table {
                    overflow: auto;
                    width: 95%;

                    .font-wrap {
                        width: 100%;

                        .table-font {
                            font-size: 0.8em;
                        }

                        .table-font1 {
                            font-size: 0.8em;
                        }
                    }
                }
            }

            .paginationcontainer {
                width: 100%;
                height: 7%;

                .paginationbox {
                    margin-left: auto;
                    width: 75%;
                }
            }
        }
    }
}

@media only screen and (min-width:768px) {
    .users-wrap {
        height: 90%;
    }
}

@media only screen and (min-width:599px) and (max-width:768px) {
    .users-wrap {
        height: 90%;

        .searchboxadd {
            height: 10%;

            .resumestextboxadd {
                width: 20%;
                font-size: 0.2em;

                .resumestextadd {
                    font-size: 5.2em;
                }
            }

            .searchtextboxadd {
                width: 35%;

                .searchadd {
                    font-size: 0.8em;
                }
            }

            .buttonboxadd {
                width: 20%;

                .buttonadd {
                    height: 50%;

                    .buttontextadd {
                        font-size: 1.2em;
                    }
                }
            }
        }

        .listcontainer {
            height: 90%;

            #container2 {
                height: 93%;
                width: 100%;

                .contain-table {
                    overflow: auto;
                    width: 95%;

                    .font-wrap {
                        width: 100%;

                        .table-font {
                            font-size: 0.8em;
                        }

                        .table-font1 {
                            font-size: 0.8em;
                        }
                    }
                }
            }

            .paginationcontainer {
                width: 100%;
                height: 7%;

                .paginationbox {
                    margin-left: auto;
                    width: 75%;
                }
            }
        }
    }
}

@media only screen and (min-width:769px) and (max-width:1024px) {
    .users-wrap {
        .searchboxadd {
            .resumestextboxadd {
                width: 15%;
                font-size: 0.22em;

                .resumestextadd {
                    font-size: 5.2em;
                }
            }

            .searchtextboxadd {
                width: 30%;

                .searchadd {
                    font-size: 0.9em;
                }
            }

            .buttonboxadd {
                width: 20%;

                .buttonadd {
                    height: 50%;

                    .buttontextadd {
                        font-size: 1.3em;
                    }
                }
            }
        }

        .listcontainer {
            .paginationcontainer {
                width: 100%;
                height: 10%;

                .paginationbox {
                    width: 70%;
                }
            }
        }
    }
}

@media only screen and (min-width:1025px) and (max-width:1440px) {
    .users-wrap {
        .listcontainer {
            .paginationcontainer {
                .paginationbox {
                    width: 66%;
                }
            }
        }
    }
}

@media only screen and (min-width:1568) and (max-width:2560px) {
    .users-wrap {
        .listcontainer {
            #container2 {
                .contain-table {
                    overflow: auto;
                    height: auto;
                    width: 95%;

                    .table-font {
                        font-size: 1.6em;
                    }

                    .font-wrap {
                        width: 100%;


                        .table-font1 {
                            font-size: 1.4em;

                        }
                    }
                }
            }
        }
    }
}